unit UnitCopieur;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,ShellAPI, ExtCtrls;
  		// SHFileOperation est dans l'unit ShellAPI
type
  TForm1 = class(TForm)
    ButtonCopier: TButton;
    Panel1: TPanel;
    EditSource: TEdit;
    Label1: TLabel;
    EditCible: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure ButtonCopierClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure EditSourceChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure copier(Handle:HWND;Source,Cible:String);
var
  lpFileOp:TSHFileOpStructA;
  TabFrom:array[0..255] of char;
  i:integer;

begin
     For i:=0 to length(Source)-1 do TabFrom[i]:=  Source[i+1];
     TabFrom[length(Source)]:=#0;
     TabFrom[length(Source)+1]:=#0;
     lpFileOp.Wnd:=handle;
     lpFileOp.wFunc:=FO_COPY;
     lpFileOp.pFrom:=TabFrom;
     lpFileOp.pTo:=PAnsiChar(Cible);
     lpFileOp.fFlags:=FOF_ALLOWUNDO;
     SHFileOperation(lpFileOp);

end;

procedure TForm1.ButtonCopierClick(Sender: TObject);
begin
   Label4.Visible := True;
   copier(handle,EditSource.Text + ':\*.*' ,EditCible.Text +':\');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  application.HintPause:=0; //pour que les messages (HINT) s'affichent tout de suite
  application.HintHidePause:=10000; // pour qu'ils restent 10 s  l'cran
  Label4.Visible := False;
end;

procedure TForm1.EditSourceChange(Sender: TObject);
begin
   EditCible.SetFocus;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
   EditSource.SetFocus;
end;

end.


